setDefaultTab("HP")

UI.Label("Healing spells")

if type(storage.healing1) ~= "table" then
  storage.healing1 = {on=false, title="HP%", text="power up", min=51, max=90}
end

if type(storage.healing2) ~= "table" then
  storage.healing2 = {on=false, title="HP%", text="mega power up", min=51, max=90}
end

for _, healingInfo in ipairs({storage.healing1, storage.healing2}) do
  local healingmacro = macro(20, function()
    local hp = player:getHealthPercent()
    if healingInfo.max >= hp and hp >= healingInfo.min then
      if TargetBot then 
        TargetBot.saySpell(healingInfo.text) -- sync spell with targetbot if available
      else
        say(healingInfo.text)
      end
    end
  end)
  healingmacro.setOn(healingInfo.on)

  UI.DualScrollPanel(healingInfo, function(widget, newParams) 
    healingInfo = newParams
    healingmacro.setOn(healingInfo.on)
  end)
end

UI.Separator()

UI.Label("Ki & Health potions")

if type(storage.hpitem1) ~= "table" then
  storage.hpitem1 = {on=false, title="HP%", item=15267, min=51, max=90}
end
if type(storage.manaitem1) ~= "table" then
  storage.manaitem1 = {on=false, title="KI%", item=15268, min=51, max=90}
end

for i, healingInfo in ipairs({storage.hpitem1, storage.manaitem1}) do
  local healingmacro = macro(20, function()
    local hp = i == 1 and player:getHealthPercent() or math.min(100, math.floor(100 * (player:getMana() / player:getMaxMana())))
    if healingInfo.max >= hp and hp >= healingInfo.min then
      if TargetBot then 
        TargetBot.useItem(healingInfo.item, healingInfo.subType, player) -- sync spell with targetbot if available
      else
        local thing = g_things.getThingType(healingInfo.item)
        local subType = g_game.getClientVersion() >= 860 and 0 or 1
        if thing and thing:isFluidContainer() then
          subType = healingInfo.subType
        end
        g_game.useInventoryItem(healingInfo.item, subType)
      end
    end
  end)
  healingmacro.setOn(healingInfo.on)

  UI.DualScrollItemPanel(healingInfo, function(widget, newParams) 
    healingInfo = newParams
    healingmacro.setOn(healingInfo.on and healingInfo.item > 100)
  end)
end

if g_game.getClientVersion() < 780 then
  UI.Label("In old tibia potions & runes work only when you have backpack with them opened")
end

UI.Separator()
--first buff
if not buffDelay then
	buffDelay = 0
end

local panelName_2 = "Buff"
if not storage[panelName_2] then
  storage[panelName_2] = {}
end
local config_2 = storage[panelName_2]

UI.Label("Buff Name:")
UI.TextEdit(config_2.text or "Buff", function(widget, text)    
  config_2.text = text
end)

UI.Label("Buff CD in Ms 1000/1s:")
UI.TextEdit(config_2.delay or 10000, function(widget, text)    
  local number = tonumber(text)
  if type(number) ~= "number" then
	config_2.delay = 10000
	return
  end
  config_2.delay = number
end)

macro(1000, "Buff", function() 
	buffDelay = buffDelay + 1000
	if buffDelay < config_2.delay then
		return
	end
	
	if TargetBot then 
		TargetBot.saySpell(config_2.text) -- sync spell with targetbot if available
	else
		say(config_2.text)
	end
	buffDelay = 0
end)
--
UI.Label("Haste spell:")
UI.TextEdit(storage.hasteSpell or "speed up", function(widget, newText)
  storage.hasteSpell = newText
end)

macro(500, "haste", function() 
  if hasHaste() then return end
  if TargetBot then 
    TargetBot.saySpell(storage.hasteSpell) -- sync spell with targetbot if available
  else
    say(storage.hasteSpell)
  end
end)

UI.Label("Barrier spell:")
UI.TextEdit(storage.manaShield or "barrier", function(widget, newText)
  storage.manaShield = newText
end)

macro(500, "barrier", function() 
  if hasManaShield() then return end
  if TargetBot then 
    TargetBot.saySpell(storage.manaShield) -- sync spell with targetbot if available
  else
    say(storage.manaShield)
  end
end)

UI.Separator()